﻿/*
	CSS-kod till RWD
*/
*
{
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
header {
    background-color:black;
    color:white;
    text-align:center;
    padding:5px;	 
}

nav {
	background-color: #eeeeee;
    height:fit-content;
}

section {
    padding:10px;	 	 
}

aside {
	background-color:#cccccc;
	padding:5px;
    height:fit-content;
}

footer 
{
    background-color:black;
    color:white;
    text-align:center;
    padding:5px;	 
    margin-top:auto;	 
}
nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
nav li a {
    display: block;
    color: rgb(255, 0, 0);
    padding: 10px;
    text-decoration: none;
    text-align:center;
    background-color: orange;
    margin-top: 5px;
    margin-right: 0px;
}
nav li a:hover {
    background-color: orangered;
    color: rgb(255, 100, 100);
}
#flex {
    display: flex;
    flex-wrap: wrap;
    min-height:100vh;
}
picture img
{
    width: 550px;
    max-width: 100%;
}
iframe
{
    aspect-ratio: 16/9;
    width: 550px;
    max-width: 100%;
}
@media only screen and (max-width: 768px) {
    header, nav, section, aside, footer{
        width:100%
    }
}
@media only screen and (min-width: 768px) {
    header, footer
    {
        width:100%
    }
    nav
    {
        width: 25%;
    }
    section
    {
        width: 75%;
    }
    aside
    {
        width: 100%;
    }
}
@media only screen and (min-width: 992px) {
    header, footer
    {
        width:100%
    }
    nav
    {
        width: 25%;
    }
    section
    {
        width: 58%;
    }
    aside
    {
        width: 17%;
    }
}
@media only screen and (min-width: 1200px) {
    header, footer
    {
        width:100%
    }
    nav
    {
        width: 100%;
    }
    nav ul
    {
        display: flex;
        flex-direction: row;
    }
    nav ul li a
    {
        margin-right: 5px;
        margin-top: 0px;
    }
    section
    {
        width: 83%;
    }
    aside
    {
        width: 17%;
    }
}
